<!-- 
Licensed Materials - Property of IBM
5724-L01, 5655-N53, 5724-I82, 5655-R15
- Copyright IBM Corporation 2007. All Rights Reserved.
US Government Users Restricted Rights- Use, duplication or disclosure
restricted by GSA ADP Schedule Contract with IBM Corp.
-->

<%@ page import="com.ibm.ws.security.core.SecurityContext,java.util.*"%>
<%@ page import="com.ibm.ws.*"%>
<%@ page import="com.ibm.wsspi.*"%>
<%@ page import="org.apache.struts.tiles.beans.SimpleMenuItem"%>
<%@ page import="com.ibm.ws.console.core.selector.*"%>
<%@ page import="com.ibm.ws.console.core.ConfigFileHelper"%>
<%@ page import="com.ibm.websphere.management.metadata.ManagedObjectMetadataAccessor"%>
<%@ page import="com.ibm.websphere.management.metadata.ManagedObjectMetadataAccessorFactory"%>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles" %>

<tiles:useAttribute name="selectUri" classname="java.lang.String" />
<tiles:useAttribute name="tabList" classname="java.util.List" />
<tiles:useAttribute name="formName" classname="java.lang.String" />

<bean:define id="perspective" name="<%=formName%>" property="perspective" type="java.lang.String" toScope="request"/> 
<%String contextId_new = null;%>
<logic:notEmpty name="<%=formName%>" property="contextId">
<bean:define id="contextId" name="<%=formName%>" property="contextId" type="java.lang.String" toScope="request"/>
<%contextId_new = contextId;%>
</logic:notEmpty>

<!-- gets all the tab list items which matches with the contextType and 
     compatibilty criteria using plugin registry API -->

<%
String contextType=(String)request.getAttribute("contextType");
String cellname = null;
String nodename = null;
String token = null;
java.util.Properties props= null;


java.util.ArrayList tabList_ext =  new java.util.ArrayList();
for(int i=0;i<tabList.size(); i++)
     tabList_ext.add(tabList.get(i));

IPluginRegistry registry= IPluginRegistryFactory.getPluginRegistry();

String extensionId = "com.ibm.websphere.wsc.detailTab";
IConfigurationElementSelector ic = new ConfigurationElementSelector(contextType,extensionId);

IExtension[] extensions= registry.getExtensions(extensionId,ic);

if(extensions!=null && extensions.length>0){
    if(contextId_new!=null && contextId_new!="nocontext"){
      props = ConfigFileHelper.getNodeMetadataProperties((String)contextId_new); //213515
    }

    tabList_ext = TabSelector.getTabs(extensions,tabList_ext,props);
}   

    pageContext.setAttribute("tabList_ext",tabList_ext);

 %>






<bean:define id="perspectiveValue" name="<%= formName %>" property="perspective"/>
<% String SELECTEDBody = null;%>
<td>
<table border="0" cellpadding="0" cellspacing="0"  width="100%" >
<tr valign="top"> 
<%-- commented for struts 1.1 upgrade <logic:iterate id="tab" name="tabList" type="org.apache.struts.tiles.beans.MenuItem" > --%>
<%  Iterator tabIter = tabList_ext.iterator();
while (tabIter.hasNext()) {
org.apache.struts.tiles.beans.MenuItem tab = (org.apache.struts.tiles.beans.MenuItem) tabIter.next();
String tabValue = tab.getValue();
if ( tabValue.equals("tab.runtime")) { %>
<bean:define id="showRuntimeTab" name="<%=formName%>" property="showRuntimeTab"/>	
<%
if ( showRuntimeTab.equals("false") ) 
    continue;
	}

    boolean showItem = true;
    if (SecurityContext.isSecurityEnabled()) {
        showItem = false;

        String[] roles = {"administrator", "operator", "configurator", "monitor"};
        if (tab.getTooltip() != null && tab.getTooltip().equals("") == false) {
            StringTokenizer st = new StringTokenizer(tab.getTooltip(), ",");
            ArrayList al = new ArrayList();
            while(st.hasMoreTokens()) {
                al.add(st.nextToken());
            }
            roles = new String[al.size()];
            roles = (String[])al.toArray(roles);
        }

        for (int idx = 0; idx < roles.length; idx++) {
            if (request.isUserInRole(roles[idx])) {
                showItem = true;
                break;
            }
        }
    }
    if (showItem == true) {
        String value = (String) perspectiveValue;
        String href = selectUri + "?EditAction=true&perspective=" + tabValue ;
%>


    <% 
        if (tabList_ext.size() == 1)  {
            SELECTEDBody = tab.getLink();
    %>	
    <td class="tabs-on" width="1%" nowrap height="12">
        <bean:message key='<%=tab.getValue()%>'/>
    </td>
    
     <% } else if ((tabList_ext.size() > 1)  && (value.equalsIgnoreCase(tabValue))) {  
		SELECTEDBody = tab.getLink();
	%>
	<td class="tabs-on" width="1%" nowrap height="12">
        <bean:message key='<%=tab.getValue()%>'/>
        </td> 
        
        <td class="blank-tab" width="1%" nowrap height="12">
        <img src="<%=request.getContextPath()+"/"%>images/onepix.gif" width="2" height="10" align="absmiddle" alt=""> 
        </td>
  
    <%  } else if ((tabList_ext.size() > 1)  && (!value.equalsIgnoreCase(tabValue))) {   %>
	<td class="tabs-off" width="1%" nowrap height="12">
        <a class="tabs-item" href="<%=href%>" title="<bean:message key='<%=tab.getValue()%>'/>"><bean:message key='<%=tab.getValue()%>'/></a>
        </td> 
        
        <td class="blank-tab" width="1%" nowrap height="12">
        <img src="<%=request.getContextPath()+"/"%>images/onepix.gif" width="2" height="10" align="absmiddle" alt="">
        </td>
    
   <%   } %>
<% 
    }
%>
<%-- </logic:iterate> --%>
<% } %>
    <td class="blank-tab" width="99%" nowrap height="12">
        <img src="<%=request.getContextPath()+"/"%>images/onepix.gif" width="1" height="10" align="absmiddle" alt="">
    </td>

</tr>
</table>

<table border="0" cellpadding="10" cellspacing="0" valign="top" width="100%" summary="Framing Table">
<tr> 
<td class="layout-manager">
<tiles:insert name="<%=SELECTEDBody%>" flush="true" />
</td> 
</tr>
</table>
</td>