<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<%
//BEGIN COPYRIGHT
//*************************************************************************
//
//	Licensed Materials - Property of IBM
//	5724-L01, 5655-N53, 5724-I82, 5655-R15
//	Copyright IBM Corporation 2008. All Rights Reserved.
//	US Government Users Restricted Rights- Use, duplication or disclosure
//	restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT
%>

<%-- 
@author cdlwangb@cn.ibm.com
--%>

<%@ page language="java" import="com.ibm.ws.workspace.query.*,com.ibm.ws.sm.workspace.RepositoryContext, com.ibm.ws.console.appmanagement.*, com.ibm.ws.console.appmanagement.form.*"%>
<%@ page import="org.apache.struts.util.MessageResources,org.apache.struts.action.Action"%>
<!--WSC Console: needed for Federation-->
<%@ page import="com.ibm.ws.console.core.WSCDefines" %>

<%@ taglib uri="/WEB-INF/ibmcommon.tld" prefix="ibmcommon" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles" %>

<tiles:useAttribute name="titleKey" classname="java.lang.String" />
<tiles:useAttribute name="descKey" classname="java.lang.String" />
<tiles:useAttribute name="actionHandler" classname="java.lang.String" />
<tiles:useAttribute name="actionForm" classname="java.lang.String" />
<tiles:useAttribute name="formType" classname="java.lang.String" />

<tiles:useAttribute id="contextType" name="contextType" classname="java.lang.String" />


<% request.setAttribute("contextType",contextType);%>


<ibmcommon:detectLocale/>
<html:html locale="true">
<HEAD>

<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
<META HTTP-EQUIV="Expires" CONTENT="0">


<%@include file="/secure/layouts/browser_detection.jsp"%>
<ibmcommon:setPluginInformation pluginIdentifier="com.ibm.ws.console.sca" pluginContextRoot=""/>

<html:form action="<%=actionHandler%>" name="<%=actionForm%>" type="<%=formType%>" enctype="multipart/form-data">

<STYLE>
.special{
    font-family: Verdana,Helvetica, sans-serif; 
    font-size:<%=(95*multiplier)%>%; 
    BORDER-RIGHT: #336699 1px solid; BORDER-TOP: #8cb1d1 1px solid; BORDER-LEFT: #8cb1d1 1px solid; 
    BORDER-BOTTOM: #336699 1px solid; BACKGROUND-COLOR: #EAF1FF 
}
</STYLE> 
<script language="JavaScript" src="/ibm/console/scripts/menu_functions.js"></script>
 
<SCRIPT> 
function fileValue(thisvalue) {
  thisvalue.form.filename.value = thisvalue.form.localFilepath.value.toString();
  return true;
}
</SCRIPT>


</HEAD>

<BODY class="content" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">



<%        
		ServletContext servletContext = (ServletContext)pageContext.getServletContext();
        MessageResources messages = (MessageResources)servletContext.getAttribute(Action.MESSAGES_KEY);
        String pageTitle = messages.getMessage(request.getLocale(),"SCAInstall.ApplicationDeployment.displayName");
%>

	<TABLE WIDTH="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0">
    <TR>
    <TD valign="top">
 
    <TABLE WIDTH="98%" CELLPADDING="0" CELLSPACING="0" BORDER="0" CLASS="wasPortlet">
        <TR>
            <TH class="wpsPortletTitle"><bean:message key="<%=titleKey%>"/></TH>
            <TH class="wpsPortletTitleControls">                        
                    <html:hidden property="filename" value=""/>
            <% 
                String pageId = null;
                
                request.setAttribute("fieldHelp", "SCAInstall.upload"); 
                pageId = "SCAInstall.upload";
                %>
                <ibmcommon:info image="help.additional.information.image" topic="SCAInstall.upload" /> 
            <%  %>
            <A href="javascript:showHidePortlet('wasUniPortlet')">
                <img id="wasUniPortletImg" SRC="<%=request.getContextPath()%>/images/title_minimize.gif" alt="<bean:message key="wsc.expand.collapse.alt"/>" border="0" align="texttop" tabindex="1"/>
            </A>  
            </TH>
        </TR>
  
        <TBODY ID="wasUniPortlet">
        <TR>   
            <TD CLASS="wpsPortletArea" COLSPAN="2" > 
     
            <a name="important"></a> 
            <ibmcommon:errors/>
            <ibmcommon:breadcrumbs title="<%=pageTitle%>" id="<%=pageId%>" renderer="false"/>

            <p class="instruction-text"> 
            <bean:message key="<%=descKey%>"/>
            </p>

<bean:define id="sCAInstallConfigForm" name="com.ibm.ws.console.sca.SCAInstallConfigForm" scope="session" type="com.ibm.ws.console.sca.SCAInstallConfigForm"/>

<%
boolean isStandaloneProfile=sCAInstallConfigForm.getStandaloneProfile();
%>
<table CLASS="wizard-table" BORDER="0" CELLPADDING="0" CELLSPACING="0" WIDTH="100%" SUMMARY="Multiple step process table">
  
    <TR>
    <TD>  
        
    <table border="0" cellpadding="3" cellspacing="0" width="100%" summary="List table">
        <tr valign="top">
            <td class="table-text"nowrap >
          
            <fieldset id="thepath" TITLE="<bean:message key="SCAInstall.upload.browselocal"/>">
            <LEGEND><bean:message key="SCAInstall.upload.path" /></LEGEND>
            
            <table width="100%" border="0" cellspacing="0" cellpadding="3">         
                <tr valign="baseline">
                    <td class="complex-property" nowrap>
                    <label for="localFilepath" TITLE="<bean:message key="SCAInstall.upload.localpath"/>">
                   		<bean:message key="SCAInstall.upload.path.specify.fullpath" />
                    </label>
                    <br>
                    <html:file property="localFilepath" styleId="localFilepath" size="25" styleClass="fileUpload" onchange="return fileValue(this)" onblur="return fileValue(this)"/>                   
                    </td>
                </tr>
            </table>
            
            </FIELDSET>           
            </td>
        </tr>
        
        <tr valign="top">
        	<td class="table-text"nowrap >
        	
        	</td>
        </tr>
        <% 
        if(isStandaloneProfile==false){
        %>  
        <tr>
            <td class="table-text" VALIGN="top">  
            <label for="server" title="<bean:message key="SCAInstall.target.server"/>"/>	
            <html:radio property="targetType" styleId="server" value="server" />      
          	<label for="selectedServer" title="<bean:message key="SCAInstall.target.server.description"/>">
          		<bean:message key="SCAInstall.target.server"/>
          	</label>
          	<br/>          
            <html:select styleId="selectedServer" property="selectedServer">
				<logic:present name="sCAInstallConfigForm" property="servers">
                  <html:options name="sCAInstallConfigForm" property="servers" />
				</logic:present>
            </html:select>   	
            </td>
        </tr>
        <tr>
            <td class="table-text" VALIGN="top">  
            <label for="cluster" title="<bean:message key="SCAInstall.target.cluster"/>"/>
            <html:radio property="targetType" styleId="cluster" value="cluster" />      
          	<label for="selectedCluster" title="<bean:message key="SCAInstall.target.cluster.description"/>">
          		<bean:message key="SCAInstall.target.cluster"/>
          	</label>
          	<br/>          
            <html:select styleId="selectedCluster" property="selectedCluster">
				<logic:present name="sCAInstallConfigForm" property="clusters">
                  <html:options name="sCAInstallConfigForm" property="clusters" />
				</logic:present>
            </html:select>   	
            </td>
        </tr>
        <% 
        }else{
        %>
         <tr>
            <td class="table-text" VALIGN="top">      
          	<label for="selectedServer" title="<bean:message key="SCAInstall.target.server.description"/>">
          		<bean:message key="SCAInstall.target.server"/>
          	</label>
          	<br/>          
            <html:select styleId="selectedServer" property="selectedServer">
				<logic:present name="sCAInstallConfigForm" property="servers">
                  <html:options name="sCAInstallConfigForm" property="servers" />
				</logic:present>
            </html:select>   	
            </td>
        </tr>
        <%
        } 
        %>
    </table>
      
    </TD>
    </TR>

    <TR>
    <TD>
        <TABLE width="100%" cellpadding="6" cellspacing="0">
            <tr>
                <td class="wizard-button-section" COLSPAN="2" ALIGN="center">
                <input type="submit" name="nextAction" value="<bean:message key="appmanagement.button.next"/>" class="buttons special">
                <input type="submit" name="cancelAction" value="<bean:message key="appmanagement.button.cancel"/>" class="buttons special">
                </td>
            </tr>
        </TABLE>            
    </TD>
    </TR>
 
    
</table>

            </TD>
        </TR>
        </TBODY>    
    </TABLE>
    
    </TD>
        <%@ include file="/secure/layouts/helpPortlet.jspf" %>
    </TR>
    </TABLE>

</html:form>

</BODY>
</html:html>