<%
//BEGIN COPYRIGHT
//*************************************************************************
//
//	Licensed Materials - Property of IBM
//	5724-L01, 5655-N53, 5724-I82, 5655-R15
//	Copyright IBM Corporation 2008. All Rights Reserved.
//	US Government Users Restricted Rights- Use, duplication or disclosure
//	restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT
%>
<%-- 
@author xbyu@cn.ibm.com
two layers tree
--%>

<%@ taglib uri="/WEB-INF/ibmcommon.tld" prefix="ibmcommon" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles" %>

<tiles:useAttribute name="title" classname="java.lang.String" />
<tiles:useAttribute name="listName" classname="java.lang.String" />
<%
java.util.List linkItems = (java.util.List)session.getAttribute(listName);
pageContext.setAttribute(listName, linkItems);
if (linkItems != null && linkItems.size() > 0)
{
%>

<table class="framing-table" border="0" cellpadding="5" cellspacing="0" width="100%" summary="Properties Table" >
	<TBODY>
		<tr>
			<td style="background-color: white;">    
				<DIV id="additional.properties" class="main-category" style='margin-left:0.3em;'>                            
					<bean:message key="<%=title%>"/>
				</DIV> 
				<DIV id="child_javaprocessmanagement.properties" class="sub-category-container" style="display:block">
				<UL CLASS="main-child">
				<logic:iterate id="item" name="<%=listName%>" type="com.ibm.ws.console.sca.TreeItem" >
				<LI CLASS="nav-bullet" TITLE="<bean:message key='<%=item.getTooltip()%>'/>">   
				<%if(item.getLink() == null || item.getLink().equals(""))
                {%>
                     <font style="color:black"><bean:message key='<%=item.getValue()%>'/></font>
                <%}
                else
                {%>
					<a href="<%=item.getLink()%>" TITLE="<bean:message key='<%=item.getTooltip()%>'/>">  
						<bean:message key='<%=item.getValue()%>'/>                        
					</a>
			    <%}%>    
			    <%
			    	java.util.List lsSubItems = item.getSubItems();
			    	if (lsSubItems != null && lsSubItems.size() > 0)
			    	{
			    		String subItemListName = listName + "lsSubItems";
			    		pageContext.setAttribute(subItemListName, lsSubItems);
			    %>    
			    	<UL style="list-style-type: disc;">
			    		<logic:iterate id="subItem" name="<%=subItemListName%>" type="com.ibm.ws.console.sca.TreeItem" >
							<LI CLASS="nav-bullet" TITLE="<%=subItem.getTooltip()%>">   
							<%if(subItem.getLink() == null || subItem.getLink().equals(""))
			                {%>
			                     <font style="color:black"><%=subItem.getValue()%> </font>
			                <%}
			                else
			                {%>
								<a href="<%=subItem.getLink()%>" TITLE="<%=subItem.getTooltip()%>">  
									<%=subItem.getValue()%>                       
								</a>
						    <%}%>   
							</LI>
						</logic:iterate>  
			    	</UL>
			    <%	}%>
				</LI>
				</logic:iterate>
				</UL>
				</DIV>
			</td>
		</tr>
	</TBODY>      
</table>
<%
}
%>
