<%
//BEGIN COPYRIGHT
//*************************************************************************
//
//	Licensed Materials - Property of IBM
//	5724-L01, 5655-N53, 5724-I82, 5655-R15
//	Copyright IBM Corporation 2008. All Rights Reserved.
//	US Government Users Restricted Rights- Use, duplication or disclosure
//	restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT
%>
<%@ page import="java.util.*,com.ibm.ws.console.wbi.sibexplorer.*,com.ibm.websphere.sib.admin.SIBQueuedMessage"%>
<%@ page import="org.apache.struts.util.MessageResources,org.apache.struts.action.Action,com.ibm.ws.sm.workspace.*,com.ibm.ws.console.core.error.*,com.ibm.ws.console.core.bean.*,com.ibm.ws.console.core.Constants"%>
<%@ page import="com.ibm.ws.console.core.utils.StatusUtils" %>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/ibmcommon.tld" prefix="ibmcommon" %>

<%!
  private boolean isDmgr = StatusUtils.isND();
%>
<%
	WorkSpace workSpace = (WorkSpace)session.getAttribute(com.ibm.ws.console.core.Constants.WORKSPACE_KEY);
    UserPreferenceBean userBean = (UserPreferenceBean)session.getAttribute(com.ibm.ws.console.core.Constants.USER_PREFS);
	if (workSpace != null) {
		if (workSpace.getModifiedList().size() > 0) {
			if (request.getRequestURL().toString().indexOf("syncworkspace.do") == -1 && request.getRequestURL().toString().indexOf("logoff.do") == -1) {
		        java.util.Locale locale = (java.util.Locale)session.getAttribute(org.apache.struts.Globals.LOCALE_KEY);
	    	    MessageResources messages = (MessageResources)application.getAttribute(org.apache.struts.Globals.MESSAGES_KEY);
                    boolean noOverwrite = (request.getSession().getAttribute (Constants.NO_OVERWRITE_KEY) != null);
				if((!com.ibm.ws.security.core.SecurityContext.isSecurityEnabled() || 
					(request.isUserInRole("administrator") || request.isUserInRole ("adminsecuritymanager") || request.isUserInRole ("auditor") || request.isUserInRole("configurator") || request.isUserInRole("deployer"))) && !noOverwrite){
	                IBMErrorMessage errorMessage1 = IBMErrorMessages.createWarningMessage(locale, messages, "warning.config.changes.made", null);
	                //LIDB3795-28 Added direct "Save" link and "Preferences" link under messages
	                IBMErrorMessage errorMessage2 = null;
	                if(userBean.getProperty("System/workspace", "syncWithNodes", "false").equalsIgnoreCase("true"))
	                   errorMessage2 = IBMErrorMessages.createMessage(locale, messages, "warning.preferences.nodesync.disabled", null);
	                else
	                    errorMessage2 = IBMErrorMessages.createMessage(locale, messages, "warning.preferences.nodesync.enabled", null);
					IBMErrorMessage errorMessage3 = null;
					if(com.ibm.ws.console.core.utils.ConsoleUtils.requiresServerRestart(workSpace.getModifiedList())){
						errorMessage3 = IBMErrorMessages.createWarningMessage(locale, messages, "info.restart.server", null);
					}
		        	Object obj = request.getAttribute(com.ibm.ws.console.core.Constants.IBM_ERROR_MESG_KEY);
		        	if (obj == null || !(obj instanceof IBMErrorMessage[])) {
						obj = new IBMErrorMessage[0];
					}
		        	IBMErrorMessage[] errorArray = (IBMErrorMessage[])obj;
	        		ArrayList newErrorArray = new ArrayList(errorArray.length + 3);
	        		newErrorArray.add(errorMessage1);
                                if (this.isDmgr) {
          	        		newErrorArray.add(errorMessage2);
                                }
					if(errorMessage3!=null){
	                	newErrorArray.add(errorMessage3);
					}
					newErrorArray.addAll(Arrays.asList(errorArray));
			        request.setAttribute(com.ibm.ws.console.core.Constants.IBM_ERROR_MESG_KEY, (IBMErrorMessage[]) newErrorArray.toArray(new IBMErrorMessage[newErrorArray.size()]));
				}
		    }
		}
	}
%>

<tiles:useAttribute id="contextType" name="contextType" classname="java.lang.String" />
<tiles:useAttribute id="initSelfShow" name="initSelfShow" classname="java.lang.String" />
<tiles:useAttribute id="list" name="list" classname="java.util.List" />
<% request.setAttribute("contextType",contextType);%>

<ibmcommon:detectLocale/>
<html:html locale="true">
<head>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
<META HTTP-EQUIV="Expires" CONTENT="0">
<TITLE></TITLE> 
<script language="JavaScript"
	src="/ibm/console/scripts/menu_functions.js"></script>
	<script type="text/javascript">
	document.onmouseover = whatObjectOn;
	document.onclick = setTopVarOff;
	function whatObjectOn(e) {
    if (isDom) {
            obj = e.target;
    }
    else {
            e = event;
            obj = e.srcElement;
    }
    if (obj != null) {
        if ((obj.tagName == "LI") && (obj.className == "nav-bullet") && (parent.frames["msgCollection"].document.getElementById("fieldHelpPortlet") != null)) {
                //obj.style.color = "black";
                obj.style.cursor = "help";
        // Inserted for the summary view LI's
        } else if ((obj.parentNode.parentNode != null) && (obj.parentNode.parentNode.tagName == "LI") && (obj.tagName == "A") && (parent.frames["msgCollection"].document.getElementById("fieldHelpPortlet") != null)) {
                //obj.style.color = "black";
                obj.parentNode.style.cursor = "help";
        }
        else {
            if (((obj.tagName == "LABEL") || (obj.tagName == "LEGEND")) && (parent.frames["msgCollection"].document.getElementById("fieldHelpPortlet") != null)) {
                if ((obj.getAttribute("TITLE")) || (obj.getAttribute("DESC")) || (obj.getAttribute("title")) || (obj.getAttribute("desc"))) {
                    if (obj.getAttribute("TITLE").indexOf(selectText+":") < 0) {
                        obj.style.cursor = "help";
                    }
                }
            }
        }
    }
}
function writeOutHelpPortlet(obj) {
    try {
        if (obj.id == "" && obj.tagName == "A") {
           return;
        }

        if ((obj.getAttribute("TITLE")) || (obj.getAttribute("DESC"))) {
            titleText = obj.getAttribute("TITLE");

            addPageText = " "+lookInPageHelp;

            if (titleText == "") {
                titleText = obj.getAttribute("DESC");
            } else {
                obj.setAttribute("DESC",titleText);
            }
            /*if (titleText.indexOf("/") > -1) {
                titleText=titleText.replace(specSlashRE,"/ ");
            }*/
            if (titleText.indexOf(":") > -1) {
                titleText=titleText.replace(specColonRE,": ");
            }
            /*if (titleText.indexOf("_") > -1) {
                titleText=titleText.replace(specUnderRE,"_ ");
            }*/
            scriptLabel = parent.frames["msgCollection"].document.createTextNode(titleText);

            if (parent.frames["msgCollection"].document.getElementById("fieldHelpPortlet") != null) {
                parent.frames["msgCollection"].document.getElementById("fieldHelpPortlet").innerHTML = "";
                parent.frames["msgCollection"].document.getElementById("fieldHelpPortlet").appendChild(scriptLabel);
                parent.frames["msgCollection"].document.getElementById("fieldHelpPortlet").parentNode.parentNode.parentNode.width = "20%";

                if (!isDom) {
                    if (parent.frames["msgCollection"].document.getElementById("fieldHelpPortlet").offsetHeight >= 200) {
                        parent.frames["msgCollection"].document.getElementById("fieldHelpPortlet").style.height = 200;
                    } else {
                        parent.frames["msgCollection"].document.getElementById("fieldHelpPortlet").style.height = "";
                    }
                } else {
                    parent.frames["msgCollection"].document.getElementById("fieldHelpPortlet").style.display = "none";
                    parent.frames["msgCollection"].document.getElementById("fieldHelpPortlet").style.display = "block";
                }


                floatHelpPortlet();

            }
        } else if ((obj.getAttribute("title")) || (obj.getAttribute("desc"))) {

                titleText = obj.getAttribute("title");


                addPageText = " "+lookInPageHelp;

                if (titleText == "") {
                    titleText = obj.getAttribute("desc");
                } else {
                    obj.setAttribute("desc",titleText);
                }
                /*if (titleText.indexOf("/") > -1) {
                    titleText=titleText.replace(specSlashRE,"/ ");
                }*/
                //if (titleText.indexOf(":") > -1) {
                //    titleText=titleText.replace(specColonRE,": ");
                //}
                /*if (titleText.indexOf("_") > -1) {
                    titleText=titleText.replace(specUnderRE,"_ ");
                }*/
                scriptLabel = parent.frames["msgCollection"].document.createTextNode(titleText);

                if (parent.frames["msgCollection"].document.getElementById("fieldHelpPortlet") != null) {
                    parent.frames["msgCollection"].document.getElementById("fieldHelpPortlet").innerHTML = "";
                    parent.frames["msgCollection"].document.getElementById("fieldHelpPortlet").appendChild(scriptLabel);
                    parent.frames["msgCollection"].document.getElementById("fieldHelpPortlet").parentNode.parentNode.parentNode.width = "20%";

                    //alert(document.getElementById("fieldHelpPortlet").offsetHeight);

                    if (!isDom) {
                        parent.frames["msgCollection"].document.getElementById("fieldHelpPortlet").style.height = "";
                        if (parent.frames["msgCollection"].document.getElementById("fieldHelpPortlet").offsetHeight >= 200) {
                            parent.frames["msgCollection"].document.getElementById("fieldHelpPortlet").style.height = 200;
                        }
                    } else {
                        parent.frames["msgCollection"].document.getElementById("fieldHelpPortlet").style.display = "none";
                        parent.frames["msgCollection"].document.getElementById("fieldHelpPortlet").style.display = "block";
                    }


                    floatHelpPortlet();
                }
        } else {
            // Added this check to let users copy and paste text from inside the fieldHelpPortlet
            secondParId = obj.parentNode.parentNode.id;
            thirdParId = obj.parentNode.parentNode.parentNode.id;
            if ((obj.id != "fieldHelpPortlet") && (secondParId != "wasHelpPortlet") && (thirdParId != "wasHelpPortlet")) {
            if (!noInfoAvailable) {
                titleText = "No information available";
            }  else {
                titleText = noInfoAvailable;
            }
            titleText = noInfoAvailable;
            scriptLabel = document.createTextNode(titleText);
            if (parent.frames["msgCollection"].document.getElementById("fieldHelpPortlet") != null) {
                parent.frames["msgCollection"].document.getElementById("fieldHelpPortlet").innerHTML = "";
                parent.frames["msgCollection"].document.getElementById("fieldHelpPortlet").innerHTML = titleText;
                parent.frames["msgCollection"].document.getElementById("fieldHelpPortlet").parentNode.parentNode.parentNode.width = "20%";
                if (!isDom) {
                    parent.frames["msgCollection"].document.getElementById("fieldHelpPortlet").style.height = "";
                }
            }

            floatHelpPortlet();
           }
        }

        titleText = "";
    } catch(err) {
        return;
    }
}
</script>
<jsp:include page = "/secure/layouts/browser_detection.jsp" flush="true"/>
</head>
                                  
<body CLASS="content"  leftmargin="15px" topmargin="15px" marginwidth="15px" marginheight="15px">
<%
String isShow = (String)session.getAttribute(SIBMessageDetailUtil.FIRST_MESSAGE_DETAILS_FLAG_KEY);
session.setAttribute(SIBMessageDetailUtil.FIRST_MESSAGE_DETAILS_FLAG_KEY, "true");

SibMessageCollectonForm collectionForm = (SibMessageCollectonForm) session.getAttribute(SIBMessageDetailUtil.DETAIL_FORM_SESSION_KEY);
SIBQueuedMessage sibQueueMessage = null;
if (collectionForm != null) 
{
	sibQueueMessage = collectionForm.getSelectedMessage();
}
if ((isShow != null && sibQueueMessage != null) || (initSelfShow != null && initSelfShow.equals("true"))) {
%>

<a name="important"></a>          
          <ibmcommon:errors/>
<table width="100%">

<%
String savePaging = "";
Iterator i=list.iterator();
while( i.hasNext() )
  {
  String name= (String)i.next();
     if (name.indexOf("paging") > -1) {
        savePaging = name;
     } else {
%>
<tr>
<td>
<tiles:insert name="<%=name%>" flush="true" />
</td>
</tr>
<%

     }
  } // end loop
  
   //  Used as a temporary fix to place paging layout at the bottom of collections
   if (!savePaging.equals("")) {
%>
<tr>
<td>
    <tiles:insert name="<%=savePaging%>" flush="true" />
</td>
</tr>
<%
   }
   %>
</table>
   <%
}
%>

</body>
</html:html>
